package com.sunxung.factoring.entity.supplier;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.User;

import java.util.Date;

/**
 * <p>
 * 项目分配
 * </p>
 *
 * @author liutao
 * @since 2023-12-04
 */
@TableName("due_diligence_allocation")
public class DueDiligenceAllocation extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * c端 供应商企业信息id
     */
    @TableField("c_supplier_info_id")
    private Long cSupplierInfoId;

    /**
     * 供应商企业名称
     */
    @TableField("name")
    private String name;

    /**
     * 统一社会信用代码
     */
    @TableField("social_credit_code")
    private String socialCreditCode;

    /**
     * 风险经理
     */
    @TableField("risk_manager_id")
    private Long riskManagerId;

    /**
     * 分配日期
     */
    @TableField("assign_date")
    private Date assignDate;

    @TableField(exist = false)
    private String taskId;

    @TableField(exist = false)
    private User riskManager;

    public User getRiskManager() {
        return riskManager;
    }

    public void setRiskManager(User riskManager) {
        this.riskManager = riskManager;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public Long getcSupplierInfoId() {
        return cSupplierInfoId;
    }

    public void setcSupplierInfoId(Long cSupplierInfoId) {
        this.cSupplierInfoId = cSupplierInfoId;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    public String getSocialCreditCode() {
        return socialCreditCode;
    }

    public void setSocialCreditCode(String socialCreditCode) {
        this.socialCreditCode = socialCreditCode;
    }

    public Long getRiskManagerId() {
        return riskManagerId;
    }

    public void setRiskManagerId(Long riskManagerId) {
        this.riskManagerId = riskManagerId;
    }

    public Date getAssignDate() {
        return assignDate;
    }

    public void setAssignDate(Date assignDate) {
        this.assignDate = assignDate;
    }

    @Override
    public String toString() {
        return "DueDiligenceAllocation{" +
            "cSupplierInfoId=" + cSupplierInfoId +
            ", name=" + name +
            ", socialCreditCode=" + socialCreditCode +
            ", riskManagerId=" + riskManagerId +
            ", assignDate=" + assignDate +
        "}";
    }
}
